
/**********************************************************************
* Filename : 16c54.H                                                  *
* History :                                                           *
*      1.  Created By Johnson on 04-29-98                                *
*                                                                     *
* Common :                                                            *
*     To define the registers and ID of 16C54                         *
**********************************************************************/

#ifndef _16C54_H_
#define _16C54_H_

// define ID of 16C54
#define     ID_16C54            0x96


// the registers of 16C54, I2C sub address.
#define     REG_KEY_CODE        0x01	//Not use.
#define     REG_MISC            0x02


// bit definition of the RESET register, I2C data.
#define MISC_RESET_REMOTE_CTL   0x01 //bit 0, Reset to receive the key code
                                   // of remote controller
#define MISC_MTS_MAIN           0x02 //bit 1
#define MISC_MTS_SAP            0x04 //bit 2
#define MISC_MTS_BOTH           0x08 //bit 3
#define MISC_SND_MUTE           0x10 //bit 4	, Mute Audio(Line-in and Tuner)
#define MISC_SND_NOTMUTE        0x20 //bit 5
#define MISC_LINE_MUTE			0x40 //bit 6	, Switch to Line-in
#define MISC_LINE_NOTMUTE		0x80 //bit 7	, Switch to Tuner

#define MISC_SWITCH_TUNER	    0x40 //bit 6	, Switch to Line-in
#define MISC_SWITCH_LINE_IN     0x80 //bit 7	, Switch to Tuner

#endif
