/*
 * linux/video/encode_big5.c
 *
 * Copyright (C) 1999		Arthur Ma, Christopher Li, Jim Chen, Scott sun
 *				GNU/Linux Research Center
 *
 * This file is subject to the terms and conditions of the GNU General Public
 * License.  See the file COPYING in the main directory of this archive
 * for more details.
 *
 *
 */


#include <linux/kernel.h>
#include <linux/module.h>
#include <linux/fb_doublebyte.h>
#include "font_big5_16.h"

static int index_big5(int left, int right)
{
    int rec;
    rec = (left - 0xa1) * (0xff - 0x40) + right - 0x40;
    
    return rec << 5;
}

static int is_hz_left(int c)
{
	return (c >= 0xa1 && c <= 0xfa);
}

static int is_hz_right(int c)
{
	return (c >= 40 && c <= 0xff);
}

static struct double_byte db_big5 =
{
	0,
	"BIG5",
	is_hz_left,
	is_hz_right,
	index_big5,
	16,16,
	max_big5_16,
	font_big5_16
};

int init_module(void)
{
	if (doublebyte_default) 
            return 1;
	doublebyte_default = &db_big5;
	return 0;
}
	
void cleanup_module(void)
{
	doublebyte_default = (void*) 0;
}	
