/*
 * linux/video/encode_gb.c
 *
 * Copyright (C) 1999		Arthur Ma
 *				GNU/Linux Research Center
 *
 * This file is subject to the terms and conditions of the GNU General Public
 * License.  See the file COPYING in the main directory of this archive
 * for more details.
 *
 *
 */

 /**************************************************************************
      the GBK standard internal code is
          start at 33088  ===> 0x8140
          end   at 65279  ===> 0xfeff
                Arthur Ma   arthur.ma@turbolinux.com.cn
  */

#include <linux/module.h>
#include <linux/fb_doublebyte.h>
#include "font_gbk16.h"
#define min1          0x81
#define max1          0xfe
#define min2          0x40
#define max2          0xff

static int index_gbk (int left, int right)
{
    int n;
    n = (left - 0x81) * 192;
    if (n >= 0 && right <= 0xff && right >= 0x40)
        n += (right - 0x40);
    else
        return max_gbk16;
    return n << 5;
}

static int is_hz_left(int c)
{
        return (c >= min1 && c <= max1);
}

static int is_hz_right(int c)
{
        return (c >= min2 && c <= max2); 
}

struct double_byte db_gbk =
{
	0,
	"GBK",
        is_hz_left,
        is_hz_right,
	index_gbk,
	16,16,
	max_gbk16,
	font_gbk16
};
int init_module(void)
{
	if (doublebyte_default) 
            return 1;
	doublebyte_default = &db_gbk;
	return 0;
}

void cleanup_module(void)
{
	doublebyte_default = (void*) 0;
}	


