#ifdef CONFIG_UNICON

static int fbcon_get_dchar_len (struct vc_data *conp, 
                                struct display *p, 
                                const unsigned short *s, int count)
{
    int n;
    for (n = 0, i = 0; i < count; i++, s++)
    {

        if (doublebyte_default->is_left (*s & p->charmask) == 1 &&
            doublebyte_default->is_right (*s & p->charmask) == 1)
            n++;
        else
            break;
    } 
    return n;
}

static int fbcon_get_schar_len (struct vc_data *conp, 
                                struct display *p,
                                const unsigned short *s, int count)
{
    int n;

    for (n = 0, i = 0; i < count; i++, s++)
    {
        if (doublebyte_default->is_left (*s & p->charmask) == 0)
            n++;
        else
            break;
    }
    return n;
}

static int fbcon_unicon_putcs (struct vc_data *conp, struct display *p, 
                               const unsigned short *s, int count,
                               int ypos, int xpos)
{
    int i, index, c;
    u_char * fontdata_save;

    fontdata_save = p -> fontdata;

    for (i = 0; i < count; i++, s++, xpos++)
    {
        c = (scr_readw (hibyte_pos (conp, s)) << 16) | scr_readw (s);
        if ( c & (DB_RIGHT_MASK << 16)) // right half
            index = doublebyte_default->font_index
                                  ((c>>16)&0xff, (c&0xff)) + 16;
        else 
            index = doublebyte_default->font_index((c&0xff),(c>>16)&0xff);
        if (index >=0 && index < doublebyte_default->charcount) 
        {
            p->fontdata = doublebyte_default->font_data +index;
            c = (c & 0xff00);
        }
        else 
        {
            c = c & 0xffff;
            p->fontdata = fontdata_save;
        }
        p->dispsw->putc(conp, p, c, ypos, xpos);
    }
    p->fontdata = fontdata_save;
}

//ypos is absolute pos.
static void fbcon_putcs_tl(struct vc_data *conp, const unsigned short *s, int count,
                       int ypos, int xpos)
{
    int unit = conp->vc_num;
    struct display *p = &fb_display[unit];
    unsigned short * str=s;

    if (!doublebyte_default){
        p->dispsw->putcs(conp, p, s, count, ypos, xpos);
        return;
    }

    while (count > 0) {
        n = fbcon_get_dchar_len (conp, p, str, count);
        if (n != 0)
            fbcon_unicon_putcs (conp, p, str, count, ypos, xpos);
        str += n;
        xpos += n;
        count -= n;

        n = fbcon_get_schar_len (conp, p, str, count);
        if (n != 0)  
            p->dispsw->putcs(conp, p, s, count, ypos, xpos);
        str += n;
        xpos += n;
        count -= n;
    }
}
#endif

