/*
 * linux/fs/nls_gb2312.c
 */

#include <linux/module.h>
#include <linux/kernel.h>
#include <linux/string.h>
#include <linux/nls.h>
#include <linux/init.h>
#include <linux/errno.h>

static struct nls_table *p_nls = NULL;

static struct nls_table table = {
	"gb2312",
	NULL,
	NULL,
	NULL,
	NULL,
	NULL
};

int __init init_nls_gb2312(void)
{
	p_nls = load_nls("cp936");

	if ( p_nls ){
		table.uni2char = p_nls->uni2char;
		table.char2uni = p_nls->char2uni;
		table.inc_use_count = p_nls->inc_use_count;
		table.dec_use_count = p_nls->dec_use_count;
		return register_nls(&table);
	}

	return -EINVAL;
}

#ifdef MODULE
int init_module(void)
{
	return init_nls_gb2312();
}


void cleanup_module(void)
{
	unregister_nls(&table);
	unload_nls(p_nls);
}
#endif

/*
 * Overrides for Emacs so that we follow Linus's tabbing style.
 * Emacs will notice this stuff at the end of the file and automatically
 * adjust the settings for this buffer only.  This must remain at the end
 * of the file.
 *
---------------------------------------------------------------------------
 * Local variables:
 * c-indent-level: 8
 * c-brace-imaginary-offset: 0
 * c-brace-offset: -8
 * c-argdecl-indent: 8
 * c-label-offset: -8
 * c-continued-statement-offset: 8
 * c-continued-brace-offset: 0
 * End:
 */
